Bug 171263 - update leaves http in error state
update leaves http in error state
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 23:43 EDT by John Bass
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 15:15:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Bass 2005-10-19 23:43:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
[root@Bass init.d]# service httpd restart
Stopping httpd:                                            [FAILED]
Starting httpd: Syntax error on line 112 of /etc/httpd/conf.d/ssl.conf:
SSLCertificateFile: file '/etc/pki/tls/certs/localhost.crt' does not exist or is empty
                                                           [FAILED]


Httpd was previously configured and running. Either upgrade from FC3 to FC4
broke it, or a recient update did.

Manually creating localhost.crt allows http to restart, but it's still not
configured properly.



Version-Release number of selected component (if applicable):
httpd-2.0.54-10.2, openssl-0.9.7f-7.10

How reproducible:
Didn't try


Additional info:
Comment 1 Joe Orton 2005-10-20 04:36:14 EDT
What's the output of:

  rpm -q mod_ssl
  rpm -V mod_ssl

and please attach the /root/upgrade.log if this was an upgrade from FC3 to FC4.

If your ssl.conf was unmodified in the FC3 install, it should have been updated
to point to the /etc/pki certs; mod_ssl's %post script should have created the
new certs.
Comment 2 John Thacker 2007-01-13 15:15:14 EST
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.